'use strict';

var vue = require('vue');
var core = require('@zoom-image/core');

// src/useZoomImageHover.ts
function useZoomImageHover() {
  let result;
  const zoomImageState = vue.reactive({
    enabled: false,
    zoomedImgStatus: "idle"
  });
  const createZoomImage = (...arg) => {
    result?.cleanup();
    result = core.createZoomImageHover(...arg);
    const currentState = result.getState();
    for (const key in currentState) {
      zoomImageState[key] = currentState[key];
    }
    result.subscribe(({ updatedProperties }) => {
      for (const key in updatedProperties) {
        zoomImageState[key] = updatedProperties[key];
      }
    });
  };
  vue.onUnmounted(() => {
    result?.cleanup();
  });
  const setZoomImageState = (state) => {
    result?.setState(state);
  };
  return {
    createZoomImage,
    zoomImageState,
    setZoomImageState
  };
}

exports.useZoomImageHover = useZoomImageHover;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=useZoomImageHover.js.map